Histórico da configuração
curl --request GET \
--url https://control.api.niadra.com/v1/config/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://control.api.niadra.com/v1/config/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control.api.niadra.com/v1/config/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"version": 8,
"type": "webhook-endpoints",
"diff_id": "0192f7b2-6071-7283-9e94-0f1a2b3c4d56",
"created_at": "2026-09-22T18:25:00Z",
"document": [
{
"endpoint_id": "whe_crm",
"url": "https://crm.acme.example/hooks/niadra",
"source_id": "0192f0a0-5f60-7172-8d83-9e0f1a2b3c46",
"event_types": [
"trigger.fired",
"action.recorded"
],
"secret_refs": [
"spaces/0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23/webhook/whsec-crm"
],
"enabled": true
}
]
}
]{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Controle: configuração
Histórico da configuração
Cada versão de cada configuração, com quem aprovou.
GET
/
v1
/
config
/
history
Histórico da configuração
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de consulta
O espaço cujo histórico você quer.
Só as versões deste tipo de configuração.
Até 200 versões. O padrão é 50.
Intervalo obrigatório:
1 <= x <= 200
